[arch-commits] Commit in perl-xml-twig/repos (staging-any staging-any/PKGBUILD)

Evangelos Foutras foutrelis at archlinux.org
Sat May 25 10:49:28 UTC 2019


    Date: Saturday, May 25, 2019 @ 10:49:28
  Author: foutrelis
Revision: 354192

archrelease: copy trunk to staging-any

Added:
  perl-xml-twig/repos/staging-any/
  perl-xml-twig/repos/staging-any/PKGBUILD
    (from rev 354191, perl-xml-twig/trunk/PKGBUILD)

----------+
 PKGBUILD |   30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

Copied: perl-xml-twig/repos/staging-any/PKGBUILD (from rev 354191, perl-xml-twig/trunk/PKGBUILD)
===================================================================
--- staging-any/PKGBUILD	                        (rev 0)
+++ staging-any/PKGBUILD	2019-05-25 10:49:28 UTC (rev 354192)
@@ -0,0 +1,30 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=perl-xml-twig
+pkgver=3.52
+pkgrel=5
+pkgdesc="A module for easy processing of XML"
+arch=('any')
+url="https://search.cpan.org/dist/XML-Twig/"
+license=('GPL' 'PerlArtistic')
+depends=('perl-xml-parser' 'perl-text-iconv' 'perl')
+checkdepends=('perl-libwww' 'perl-test-pod' 'perl-xml-simple' 'perl-html-tree' 'perl-xml-xpath' 'perl-tie-ixhash')
+options=('!emptydirs')
+source=("https://www.cpan.org/authors/id/M/MI/MIROD/XML-Twig-${pkgver}.tar.gz")
+sha1sums=('ce4ad6f055ea677ab5526e55677faffcc6457eb8')
+
+build() {
+  cd XML-Twig-${pkgver}
+  perl Makefile.PL -y INSTALLDIRS=vendor
+  make
+}
+
+check() {
+  cd XML-Twig-${pkgver}
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd XML-Twig-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}


More information about the arch-commits mailing list